<%
if respond_to?(:current_component) && current_component && can_be_managed?(current_component)
  edit_link(
    manage_component_path(current_component),
    :read,
    :component,
    component: current_component,
    current_participatory_space: current_participatory_space
  )
end
%>

<div class="off-canvas-wrapper" id="app">
  <div class="off-canvas-wrapper-inner" data-off-canvas-wrapper>
    <div class="off-canvas position-right hide-for-large" data-position="right"
         id="offCanvas" data-off-canvas>
      <!-- Close button -->
      <button class="close-button"
              aria-label="<%= t("layouts.decidim.header.close_menu") %>" type="button"
              data-close>
        <span aria-hidden="true">&times;</span>
      </button>
      <!-- Menu -->
      <div class="hide-for-medium" data-set="nav-holder"></div>
      <div class="hide-for-medium" data-set="admin-links-holder"></div>
      <div class="hide-for-medium usermenu-off-canvas-holder"
           data-set="nav-login-holder"></div>
    </div>
    <div class="off-canvas-content" data-off-canvas-content>
      <div class="footer-separator">
        <!--separates the footer from the rest of the page,
             creates a sticky footer-->

        <!-- Global banner -->
        <%= render partial: "layouts/decidim/globan" %>

        <!-- Topbar -->
        <div class="title-bar">
          <% if current_organization.official_img_header? %>
            <%= link_to current_organization.official_url, class: "logo-cityhall" do %>
              <%= image_tag current_organization.official_img_header.url.to_s , alt: current_organization.name %>
            <% end %>
          <% end %>
          <div class="row column topbar">
            <div class="logo-wrapper">
              <%= render partial: "layouts/decidim/logo", locals: { organization: current_organization } %>
            </div>
            <%= render partial: "layouts/decidim/language_chooser" %>
            <div class="hide-for-mediumlarge topbar__icon_search">
              <a href="#search-modal" onclick="event.preventDefault();" data-toggle="search-modal" aria-controls="search-modal">
                <%= icon "magnifying-glass", aria_label: t("decidim.search.term_input_placeholder"), role: "img" %>
                <span id="search-modal-label"><%= t("decidim.search.term_input_placeholder") %></span>
              </a>
            </div>
            <%= render partial: "layouts/decidim/topbar_search" %>
            <div class="hide-for-medium topbar__menu">
              <button type="button" data-toggle="offCanvas">
                <%= icon "menu", aria_label: t("layouts.decidim.header.navigation"), role: "img" %>
              </button>
            </div>
          </div>
        </div>
        <div class="user-bar">
          <div class="row column">
            <div class="user-wrapper">
              <% if current_user %>
                <div class="topbar__dropmenu topbar__user__logged">
                  <%= link_to decidim.notifications_path, class: "topbar__notifications #{current_user.notifications.any? ? "is-active" : ""}", "aria-label": t("layouts.decidim.user_menu.notifications") do %>
                    <%= icon "bell" %>
                  <% end %>
                  <%= link_to decidim.conversations_path, class: "topbar__conversations #{current_user.unread_conversations.any? ? "is-active" : ""}", "aria-label": t("layouts.decidim.user_menu.conversations") do %>
                    <%= icon "envelope-closed" %>
                  <% end %>
                  <ul class="dropdown menu" data-dropdown-menu>
                    <li class="is-dropdown-submenu-parent show-for-medium">
                      <%= link_to current_user.name, decidim.account_path %>
                      <ul class="menu is-dropdown-submenu js-append usermenu-off-canvas">
                        <%= render partial: "layouts/decidim/user_menu" %>
                      </ul>
                      <span data-set="nav-login-holder" class="show-for-medium">
                        <!-- Repeated due to dropdown limitations -->
                        <ul class="menu is-dropdown-submenu js-append usermenu-off-canvas">
                          <%= render partial: "layouts/decidim/user_menu" %>
                        </ul>
                      </span>
                    </li>
                  </ul>
                </div>
              <% else %>
                <div class="topbar__user show-for-medium" data-set="nav-login-holder">
                  <div class="topbar__user__login js-append">
                    <% if current_organization.sign_up_enabled? %>
                      <%= link_to t("layouts.decidim.header.sign_up"), decidim.new_user_registration_path, class: "sign-up-link" %>
                    <% end %>
                    <%= link_to t("layouts.decidim.header.sign_in"), decidim.new_user_session_path, class: "sign-in-link" %>
                  </div>
                </div>
              <% end %>

              <div class="show-for-medium" data-set="admin-links-holder">
                <div class="js-append">
                  <%= render partial: "layouts/decidim/admin_links" %>
                </div>
              </div>

            </div>
          </div>
        </div>

        <div class="reveal" id="search-modal" aria-labelledby="search-modal-label" data-reveal>
          <div class="hide-for-mediumlarge nav-search-holder" data-set="nav-search-holder"></div>
          <button class="close-button" data-close aria-label="Close modal" type="button">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>

        <div class="show-for-medium" data-set="nav-holder">
          <nav class="navbar js-append">
            <div class="row column">
              <%= main_menu.render %>
            </div>
          </nav>
        </div>

        <main>
          <%= display_flash_messages %>
          <%= yield %>
        </main>
      </div>
      <%= render partial: "layouts/decidim/main_footer" %>
      <%= render partial: "layouts/decidim/mini_footer" %>
    </div>
  </div>
</div>

<script
  src="https://cdn1.fpfis.tech.ec.europa.eu/ecl/v2.31.0/ec-preset-website/scripts/ecl-ec-preset-website.js"
  integrity="sha256-Knhkp5N4gIb1pXddW9bnNDvqOuTjf6u2ZIHjfget5As= sha384-AZUJdYZ+26VqGbvOnmBNnwsGpkhuOqL7q/7TrA2q8qq04eWyE+si6/xTP9M069w5 sha512-EARZXZAFziS7N8rCY9nnP+PGH9q1PnyZbRslAOSSJSZFh83R+Wgm40v0XDXEX9xoLOZ66OsMntXWKi34QkHO4w=="
  crossorigin="anonymous"
></script>
<script>
  ECL.autoInit();
</script>
